/**
 * %wsgw_sample_start%
 * Licensed Materials - Property of IBM
 *
 * (c) Copyright IBM Corp. 2001, 2002 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with
 * IBM Corp.
 * %wsgw_sample_end%
 */
package services.lftfileservice;

import com.ibm.httpr.lft.LargeFileURLUtil;

public class FileService
{
  public String checkIn( String fileId, String changeDesc, String fileReference )
  {
    System.out.println( "FileService : fileId" + fileId );
    System.out.println( "FileService : changeDesc" + changeDesc );

    try
    {
      System.out.println( "FileService : fileReference" + fileReference );
      System.out.println( "FileService : fileReferenceURL" + LargeFileURLUtil.getURLFromFileReference( fileReference ) );
    }
    catch ( Exception e )
    {
      e.printStackTrace();
    }

    return "File Checked in fine";
  }

  public String checkOut( String fileId )
  {
    System.out.println( "FileService : fileId" + fileId );

    String osName = System.getProperty( "os.name" );
    String response;

    if ( osName.startsWith( "Windows" ) )
    {
       response = "file:/C:/IBM/lft/client/files/demo.gif";
    }
    else if ( osName.equals( "AIX" ) )
    {
       response = "file:/usr/IBM/lft/client/files/demo.gif";
    }
    else
    {
       response = "file:/opt/IBM/lft/client/files/demo.gif";
    }

    return response;
  }
}
