@title Testing LFT Channel - IBM WebServices Gateway

@cls
@rem parameters are 1= Test mode (wsif, wsgw or java)
@rem                2= WebServices Gateway directory
@rem                3= xerces.jar (typically C:\WebSphere\AppServer\lib\xerces.jar)

@if .%1==. goto invalidparams
@if .%2==. goto invalidparams
@if .%3==. goto invalidparams

@rem Check parameter 2 is a valid directory.
@if EXIST %2 goto goodparam1
@echo The directory %2 specified for Gateway directory does not exist.
@goto invalidparams

@rem Check parameter 3 points to the right place.
:goodparam1
@if EXIST %3 goto goodparams
@echo The file %3 does not exist.
@goto invalidparams

:goodparams
@java -Djava.protocol.handler.pkgs=com.ibm.axis.transport -Dlft-directory=%2\clientTemp -Dlft-piFactory=com.ibm.httpr.file.FileStateManagerFactory -Dhttpr.channelStyle=process -classpath %2\lib\wsgw-samples.jar;%2\lib\wsif.jar;%2\lib\qname.jar;%2\lib\wsgwwsiflft.jar;%2\lib\wsgwwsdllft.jar;%3;%2\lib\axis.jar;%2\lib\clutil.jar;%2\lib\wsdl4j.jar;%2\lib\httpr.jar;%2\lib\activation.jar;%2\lib\jaxrpc.jar;%2\lib\saaj.jar;%2\lib\commons-logging.jar services.lftfileservice.CheckOut %1 %2
@goto :eof

:invalidparams
@echo This command file requires 3 parameters
@echo Parameters are 1= Test mode (wsif, wsgw or java)
@echo                2= WebServices Gateway directory
@echo                3= xerces.jar (typically C:\WebSphere\AppServer\lib\xerces.jar)
